Bug 45609 - SIGILL on Samsung devices (again)
Summary: SIGILL on Samsung devices (again)
Status: NEEDINFO
Alias: None
Product: Android
Classification: Xamarin
Component: Mono runtime / AOT Compiler (show other bugs)
Version: 7.0 (C8)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bernhard Urban
URL:
Depends on:
Blocks:
 
Reported: 2016-10-18 00:38 UTC by Jahmai
Modified: 2017-11-03 13:43 UTC (History)
6 users (show)

See Also:
Tags: XATriaged bb
Is this bug a regression?: ---
Last known good build:


Attachments

Description Jahmai 2016-10-18 00:38:15 UTC

    
Comment 1 Jahmai 2016-10-18 00:40:51 UTC
In reference to: https://bugzilla.xamarin.com/show_bug.cgi?id=39859

I'm raising a new issue for the SIGILL on Samsung devices as it appears to still be an issue.


I got this from the most recent Android release:


Fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at System.Runtime.Remoting.Messaging.AsyncResult.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem()(<128bb39fdc914b04b7c7b60d1350caf5>)
       at System.Threading.ThreadPoolWorkQueue.Dispatch()(<128bb39fdc914b04b7c7b60d1350caf5>)
       at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback()(<128bb39fdc914b04b7c7b60d1350caf5>)


Here is the version info we compiled the release with:


Microsoft Visual Studio Professional 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Professional

LightSwitch for Visual Studio 2015   00322-40000-00000-AA381
Microsoft LightSwitch for Visual Studio 2015

Visual Basic 2015   00322-40000-00000-AA381
Microsoft Visual Basic 2015

Visual C# 2015   00322-40000-00000-AA381
Microsoft Visual C# 2015

Visual C++ 2015   00322-40000-00000-AA381
Microsoft Visual C++ 2015

Visual F# 2015   00322-40000-00000-AA381
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-40000-00000-AA381
Windows Phone SDK 8.0 - ENU

ASP.NET and Web Tools 2015.1   14.1.20907.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.5   14.0.20810.0
Azure App Service Tools v2.9.5

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.1.0000.0
Microsoft Azure Data Lake Tools for Visual Studio

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Fabric.DiagnosticEvents   1.0
Fabric Diagnostic Events

GitHub.VisualStudio   1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

JetBrains ReSharper Ultimate 2016.2.2    Build 106.0.20160913.91321
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2016 JetBrains, Inc.

Microsoft .NET Core Tools (Preview 2)   14.1.20907.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Hive Query Language Service   2.1.0000.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.40923.2

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.60519.0
Microsoft SQL Server Data Tools

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

Typemock.VSExtension   1.0
Information about my package

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Windows Installer XML Toolset   3.10.3.3007
Windows Installer XML Toolset version 3.10.3.3007
Copyright (c) .NET Foundation and contributors. All rights reserved.

Xamarin   4.2.0.703 (3b7df6f)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.1.3 (96c7ba6)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.1.10 (ad1cd42)
Visual Studio extension to enable development for Xamarin.iOS.


As usual I do not have a reproduction for this as it is extremely rare.
Comment 2 Jahmai 2016-10-18 00:41:45 UTC
I think this is related to this issue: https://bugzilla.xamarin.com/show_bug.cgi?id=45530
Comment 3 Bernhard Urban 2016-10-18 08:32:33 UTC
Hi Jahmai.  Do I understand correctly that you get those crash reports by users via Crashlytics?  Are you sure that _all_ of your users updated to the latest build of your app?

Can you give me some numbers on how rare it is?
Comment 4 Jahmai 2016-10-18 08:35:04 UTC
Yes this is via Crashlytics. Crashlytics reports which version created the crash and the version includes the SIGILL fix. So far it's only one SIGILL, but if you look at the related issue, we're still getting ALOT of ArgumentNull and NullReference exceptions on the same devices.
Comment 5 Jahmai 2016-10-18 08:37:13 UTC
In terms of stats, we have around 2000 devices on the vulnerable Samsungs, and we get around 3-5 crashes (ArgumentNull / NullReference) per day on an app that is probably opened by less than 200 users of these devices per day.
Comment 7 Jahmai 2016-10-18 10:40:56 UTC
Hi Bernhard, yes if you arrange an NDA I can let you have the source for the app in question. I couldn't tell you how to reproduce it though, but I could also give you access to a bunch of Crashlytics reports to assist.
Comment 8 Bernhard Urban 2016-10-21 20:30:48 UTC
Jahmai was kind enough to sign the NDA and gave me the necessary sources to build the app on my machine. The assumption is that the crash happens during the startup (looks like it from the crash logs he got via Crashlytics). Alas, after 50x startups on my device with my own build, and another 50x startups with the build from the Google Play Store, not a single crash on my device.

I'll mark it as NEEDINFO and hope that someone else runs into the same issue in a more reliable way. Otherwise, there isn't much we can do about it.

Jahmai, please keep posting crash logs here and https://bugzilla.xamarin.com/show_bug.cgi?id=45530
They are _probably_ related, but let's keep tracking them as different bugs.
Comment 9 Jahmai 2016-10-24 10:07:51 UTC
Another one today:

Fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at System.Security.Cryptography.X509Certificates.X509Certificate.get_Impl()(<128bb39fdc914b04b7c7b60d1350caf5>)

I will do another release this week to address unrelated bugs, that should confirm without a shadow of doubt that it's the latest Xamarin causing the issue.
Comment 10 Jahmai 2016-10-31 11:00:24 UTC
Just released a new version compiled with the following, let's see if it resolves the issues or not:

Microsoft Visual Studio Professional 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Professional

Visual Basic 2015   00322-40000-00000-AA585
Microsoft Visual Basic 2015

Visual C# 2015   00322-40000-00000-AA585
Microsoft Visual C# 2015

Visual C++ 2015   00322-40000-00000-AA585
Microsoft Visual C++ 2015

Visual F# 2015   00322-40000-00000-AA585
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-40000-00000-AA585
Windows Phone SDK 8.0 - ENU

ASP.NET and Web Tools 2015.1   14.1.20907.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.5   14.0.20810.0
Azure App Service Tools v2.9.5

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.1.0000.0
Microsoft Azure Data Lake Tools for Visual Studio

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

DataFactoryProject   1.0
Microsoft Data Factory Package

Debugging Tools for Windows   10.0.10586.0
Integrates the Windows Debugger functionality (http://go.microsoft.com/fwlink/?linkid=223405) in Visual Studio.

Fabric.DiagnosticEvents   1.0
Fabric Diagnostic Events

GitHub.VisualStudio   1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Microsoft .NET Core Tools (Preview 2)   14.1.20907.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Data Factory Node Node   1.0
Azure Data Factory extension for Visual Studio Server Explorer.

Microsoft Azure Hive Query Language Service   2.1.0000.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.40715.2

Microsoft Azure Tools   2.8
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.8.31121.1

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.60519.0
Microsoft SQL Server Data Tools

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

Typemock.VSExtension   1.0
Information about my package

TypeScript   2.0.3.0
TypeScript tools for Visual Studio

Visual Studio Tools for Apache Cordova   Update 10
Visual Studio Tools for Apache Cordova

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Windows Driver Kit   10.0.10586.0
Headers, libraries, and tools needed to develop, debug, and test Windows drivers (msdn.microsoft.com/en-us/windows/hardware/gg487428.aspx)

Windows Installer XML Toolset   3.10.3.3007
Windows Installer XML Toolset version 3.10.3.3007
Copyright (c) .NET Foundation and contributors. All rights reserved.

Xamarin   4.2.0.719 (15694b9)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.1.6 (5a02b03)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.2.0.4 (b638977)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 11 Jahmai 2016-11-04 23:27:43 UTC
We got one, Commander:

Fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at System.Runtime.Remoting.Messaging.AsyncResult.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Threading.ThreadPoolWorkQueue.Dispatch()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback()(<f73787475f2a4b899eb7dc48412c97c1>)
Comment 12 Jahmai 2016-11-07 00:52:40 UTC
Non-fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at System.Security.Cryptography.SHA1Internal.FillBuff(System.UInt32[] buff)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.SHA1Internal.ProcessBlock(System.Byte[] inputBuffer, System.UInt32 inputOffset)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.SHA1Internal.ProcessFinalBlock(System.Byte[] inputBuffer, System.Int32 inputOffset, System.Int32 inputCount)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.SHA1Internal.HashFinal()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.SHA1CryptoServiceProvider.HashFinal()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.HashAlgorithm.TransformFinalBlock(System.Byte[] inputBuffer, System.Int32 inputOffset, System.Int32 inputCount)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.HMAC.HashFinal()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.HashAlgorithm.ComputeHash(System.Byte[] buffer, System.Int32 offset, System.Int32 count)(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramSha1HashAlgorithm.CalculateHmacCore(System.Byte[] key, System.Byte[] input, System.Int32 offset, System.Int32 count)(<b95571a963714823b791aa3361ec779a>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramHashAlgorithm.CalculateHmac(System.Byte[] key, System.Byte[] input)(<b95571a963714823b791aa3361ec779a>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramAlgorithmSuite.Hi(System.Byte[] str, System.Byte[] salt, System.Int32 iterationCount)(<b95571a963714823b791aa3361ec779a>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramAlgorithmSuite.CalculateSaltedPassword(System.String password, System.String salt, System.Int32 iterationCount)(<b95571a963714823b791aa3361ec779a>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramResponder.ProcessChallengeAsyncCore(Intrinsic.Messaging.Protocols.Core.Sasl.XSaslChallenge challenge, Intrinsic.Threading.Tasks.AsyncOptions asyncOptions)(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiateSaslAsync>d__15.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiatePhase2Async>d__14.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiateAsyncCore>d__11.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XInitiatorStream+<NegotiateProtocolsAsync>d__28.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XInitiatorStream+<OpenAsyncCore>d__31.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.IO.XIOInitiatorStream+<OpenAsyncCore>d__20.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Connectors.XTcpConnector+XRedirectableStream+<ExecuteWithRedirectAsync>d__16.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Connectors.XFailoverConnector+XFailoverStream+<OpenAsyncCore>d__16.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+OpenOperation+<ExecuteAsyncCore>d__8.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+XClientOperation+<ExecuteAsync>d__23.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+<ConnectAsyncCore>d__56.MoveNext()(<b95571a963714823b791aa3361ec779a>)
Comment 13 Jahmai 2016-11-08 23:30:50 UTC
Is 3 enough to demonstrate this is still an issue?

Non-fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at Intrinsic.Messaging.Client.XClient+<ConnectAsyncCore>d__56.MoveNext()(<b95571a963714823b791aa3361ec779a>)
Comment 14 Jahmai 2016-11-09 06:38:24 UTC
Fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at System.IO.MemoryStream.get_Position()(<f73787475f2a4b899eb7dc48412c97c1>)
Comment 15 Jahmai 2016-11-10 01:13:26 UTC
Fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at Org.BouncyCastle.Math.BigInteger.Negate()(<91be40b6670d4ca6a5f06957b208a4c5>)
Comment 16 Jahmai 2016-11-10 01:20:49 UTC
This is exhausting, anyone from Xamarin care to chime in here?
Comment 17 MSiccDev 2016-11-10 03:55:29 UTC
I am having the same Problem with an App that recently went live in the Google Play Store. All happening on Samsung devices (like in Bug https://bugzilla.xamarin.com/show_bug.cgi?id=39859).
Comment 18 MSiccDev 2016-11-10 04:00:24 UTC
Just found one with Stack in HockeyApp:

Xamarin caused by: android.runtime.JavaProxyThrowable: System.ExecutionEngineException: SIGILL
  at (wrapper managed-to-native) System.Runtime.Remoting.Messaging.AsyncResult:Invoke (System.Runtime.Remoting.Messaging.AsyncResult)
  at System.Runtime.Remoting.Messaging.AsyncResult.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () [0x00000] in <4484c4dae61544bf9c4d5721ad9840eb>:0 
  at System.Threading.ThreadPoolWorkQueue.Dispatch () [0x00096] in <4484c4dae61544bf9c4d5721ad9840eb>:0 
  at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () [0x00000] in <4484c4dae61544bf9c4d5721ad9840eb>:0
Comment 19 Bernhard Urban 2016-11-10 22:55:37 UTC
Thanks for the reports.

Alas, the general problem has to be fixed in kernel-space (but we all know this won't happen on a lot of Android devices).  Our current solution for https://bugzilla.xamarin.com/show_bug.cgi?id=39859 has a flaw where a race could still happen if you're really really unlucky.  At least I thought so.  Maybe that's what your users are hitting. There's a way to avoid this race, which comes with a small performance hit. We will try this patch, *maybe* it'll help: https://github.com/mono/mono/pull/3934

It'll be part of the next release (C9).


If someone figures out a reliable way to reproduce, please let me know.  Also, please keep posting stack traces, they might be helpful at some point on such bugs.
Comment 20 Jahmai 2016-11-10 23:17:32 UTC
Thanks Bernhard, let's hope so!
Comment 21 Jahmai 2016-11-10 23:41:57 UTC
This is a new one, SM-G925P:

Non-fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at System.Threading.Tasks.TaskScheduler.get_Default()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Threading.Tasks.Task.WhenAny[TResult](System.Collections.Generic.IEnumerable`1[T] tasks)(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Connectors.XFailoverConnector+<ConnectAsyncCore>d__4.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+ConnectOperation+<ExecuteAsyncCore>d__10.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+XClientOperation+<ExecuteAsync>d__23.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+<ConnectAsyncCore>d__56.MoveNext()(<b95571a963714823b791aa3361ec779a>)
Comment 22 Jahmai 2016-11-10 23:42:11 UTC
Non-fatal Exception: java.lang.Throwable: System.ExecutionEngineException: SIGILL
       at System.Security.Cryptography.SHA1CryptoServiceProvider.HashCore(System.Byte[] rgb, System.Int32 ibStart, System.Int32 cbSize)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.HashAlgorithm.TransformBlock(System.Byte[] inputBuffer, System.Int32 inputOffset, System.Int32 inputCount, System.Byte[] outputBuffer, System.Int32 outputOffset)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.HMAC.HashCore(System.Byte[] rgb, System.Int32 ib, System.Int32 cb)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Security.Cryptography.HashAlgorithm.ComputeHash(System.Byte[] buffer, System.Int32 offset, System.Int32 count)(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramSha1HashAlgorithm.CalculateHmacCore(System.Byte[] key, System.Byte[] input, System.Int32 offset, System.Int32 count)(<b95571a963714823b791aa3361ec779a>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramHashAlgorithm.CalculateHmac(System.Byte[] key, System.Byte[] input)(<b95571a963714823b791aa3361ec779a>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramAlgorithmSuite.Hi(System.Byte[] str, System.Byte[] salt, System.Int32 iterationCount)(<b95571a963714823b791aa3361ec779a>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramAlgorithmSuite.CalculateSaltedPassword(System.String password, System.String salt, System.Int32 iterationCount)(<b95571a963714823b791aa3361ec779a>)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramResponder.ProcessChallengeAsyncCore(Intrinsic.Messaging.Protocols.Core.Sasl.XSaslChallenge challenge, Intrinsic.Threading.Tasks.AsyncOptions asyncOptions)(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiateSaslAsync>d__15.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiatePhase2Async>d__14.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiateAsyncCore>d__11.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XInitiatorStream+<NegotiateProtocolsAsync>d__28.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter`1[TResult].GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XInitiatorStream+<OpenAsyncCore>d__31.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.IO.XIOInitiatorStream+<OpenAsyncCore>d__20.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Connectors.XTcpConnector+XRedirectableStream+<ExecuteWithRedirectAsync>d__16.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Connectors.XFailoverConnector+XFailoverStream+<OpenAsyncCore>d__16.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+OpenOperation+<ExecuteAsyncCore>d__8.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+XClientOperation+<ExecuteAsync>d__23.MoveNext()(<b95571a963714823b791aa3361ec779a>)
       at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(System.Threading.Tasks.Task task)(<f73787475f2a4b899eb7dc48412c97c1>)
       at System.Runtime.CompilerServices.TaskAwaiter.GetResult()(<f73787475f2a4b899eb7dc48412c97c1>)
       at Intrinsic.Messaging.Client.XClient+<ConnectAsyncCore>d__56.MoveNext()(<b95571a963714823b791aa3361ec779a>)
Comment 23 Geir Ludvigsen 2016-11-22 14:17:50 UTC
Are we experiencing the same bug or is it unrelated?

Xamarin.Android:6.1.1.131803820; git-rev-head:7db2aac; git-branch:HEAD
Samsung SM-G925F
Android 6.0.1

Xamarin.Android: 
System.ExecutionEngineException: SIGILL
  at System.MonoCustomAttrs.GetPseudoCustomAttributes (ICustomAttributeProvider obj, System.Type attributeType) <0xf3175e10 + 0x00170> in <filename unknown>:0 
  at System.MonoCustomAttrs.IsDefined (ICustomAttributeProvider obj, System.Type attributeType, Boolean inherit) <0xf31757d0 + 0x0008f> in <filename unknown>:0 
  at System.RuntimeType.IsDefined (System.Type attributeType, Boolean inherit) <0xf3175670 + 0x0008f> in <filename unknown>:0 
  at System.Enum.InternalFormat (System.RuntimeType eT, System.Object value) <0xf31755c8 + 0x00033> in <filename unknown>:0 
  at System.Enum.ToString () <0xf31753e8 + 0x0005b> in <filename unknown>:0 
  at System.Enum.ToString (System.String format) <0xf3174e18 + 0x00067> in <filename unknown>:0 
  at System.Enum.ToString (System.String format, IFormatProvider provider) <0xf3174d60 + 0x0001f> in <filename unknown>:0 
  at System.Text.StringBuilder.AppendFormatHelper (IFormatProvider provider, System.String format, ParamsArray args) <0xf316dc88 + 0x0095b> in <filename unknown>:0 
  at System.String.FormatHelper (IFormatProvider provider, System.String format, ParamsArray args) <0xf316d498 + 0x000a7> in <filename unknown>:0 
  at System.String.Format (System.String format, System.Object[] args) <0xf316d1a8 + 0x000d7> in <filename unknown>:0 
  at Java.Interop.JniRuntime+JniObjectReferenceManager.AssertReferenceType (Java.Interop.JniObjectReference& reference, JniObjectReferenceType type) <0xf3174b98 + 0x0011b> in <filename unknown>:0 
  at Java.Interop.JniRuntime+JniObjectReferenceManager.DeleteLocalReference (Java.Interop.JniObjectReference& reference, System.Int32& localReferenceCount) <0xf3174ab8 + 0x0002f> in <filename unknown>:0 
  at Android.Runtime.AndroidObjectReferenceManager.DeleteLocalReference (Java.Interop.JniObjectReference& value, System.Int32& localReferenceCount) <0xf3174900 + 0x0011f> in <filename unknown>:0 
  at Java.Interop.JniRuntime+JniObjectReferenceManager.DeleteLocalReference (Java.Interop.JniEnvironmentInfo environment, Java.Interop.JniObjectReference& reference) <0xf31748a8 + 0x00043> in <filename unknown>:0 
  at Java.Interop.JniObjectReference.Dispose (Java.Interop.JniObjectReference& reference) <0xf3174640 + 0x0009f> in <filename unknown>:0 
  at Android.Runtime.JNIEnv.DeleteLocalRef (IntPtr jobject) <0xf3162800 + 0x00033> in <filename unknown>:0 
  at Android.Runtime.JNIEnv.DeleteRef (IntPtr handle, JniHandleOwnership transfer) <0xf3162790 + 0x00033> in <filename unknown>:0 
  at Android.Runtime.JNIEnv.GetString (IntPtr value, JniHandleOwnership transfer) <0xf3161ca0 + 0x00073> in <filename unknown>:0 
  at Java.Interop.TypeManager.GetClassName (IntPtr class_ptr) <0xf3161770 + 0x0002f> in <filename unknown>:0 
  at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) <0xf315d200 + 0x00057> in <filename unknown>:0 
  at Java.Lang.Object.GetObject (IntPtr handle, JniHandleOwnership transfer, System.Type type) <0xf315c958 + 0x0037f> in <filename unknown>:0 
  at Java.Lang.Object._GetObject[T] (IntPtr handle, JniHandleOwnership transfer) <0xf315c7d8 + 0x0004f> in <filename unknown>:0 
  at Java.Lang.Object.GetObject[T] (IntPtr handle, JniHandleOwnership transfer) <0xf315c5a0 + 0x0002b> in <filename unknown>:0 
  at Android.App.Activity.FindViewById (Int32 id) <0xe82cf1f0 + 0x0017f> in <filename unknown>:0 
  at Android.App.Activity.FindViewById[T] (Int32 id) <0xe82cf170 + 0x0002b> in <filename unknown>:0
Comment 24 Jahmai 2016-12-07 02:34:02 UTC
@Bernhard When can we expect C9 to be released? If not before Xmas, could we get another hotfix like we did last time? This bug really looks bad for us to our samsung using customers!
Comment 25 Bernhard Urban 2016-12-12 14:38:47 UTC
@Jahmai This alpha release of C9 already contains the fix: https://releases.xamarin.com/alpha-preview-4-cycle-9/
Comment 26 Jahmai 2016-12-12 23:41:11 UTC
Mmm... A hotfix I can justify, but releasing an Alpha to the wild is a bit too much risk to bare :)

Any predictions on when the Alpha will be Stable?
Comment 27 Jahmai 2017-01-03 01:22:43 UTC
Any particular reason this wasn't included in C8SR2, but https://bugzilla.xamarin.com/show_bug.cgi?id=45761 was?
Comment 28 Jahmai 2017-01-03 01:23:29 UTC
Sorry, my mistake, I misread "Known Issues" in the C8SR2 release notes.
Comment 29 Bernhard Urban 2017-03-13 12:31:28 UTC
Hey Jahmai,

C9 is out for some weeks now, did you have a chance to try it?


Thanks,
-Bernhard
Comment 30 Jahmai 2017-03-13 12:36:32 UTC
Hi Bernhard,

We're finishing up QA of our current release cycle, it'll go out this week. Will update after that.
Comment 31 Jahmai 2017-03-24 12:50:18 UTC
Latest Cycle 9 patch as of this post:

Non-fatal Exception: java.lang.Throwable: SIGILL
       at Intrinsic.Reactive.SafeObservable`1+SafeObserver`1[T,T2].OnNext (T2 value)(filename unknown)
       at System.Reactive.Observer`1[T].OnNext (T value)(filename unknown)
       at System.Reactive.Subjects.Subject`1[T].OnNext (T value)(filename unknown)
       at Intrinsic.Reactive.Subjects.SafeSubject`1[T].OnNext (T value)(filename unknown)
       at Intrinsic.Reactive.Subjects.WeakSubject`1[T].OnNext (T value)(filename unknown)
       at Intrinsic.UI.EventBroker.Raise[T] (T data)(filename unknown)
       at CriticalArc.Applications.Services.GeoLocationService+<>c.<.ctor>b__1_0 (Intrinsic.Geography.GeoLocation x)(filename unknown)
       at System.Reactive.AnonymousObserver`1[T].OnNextCore (T value)(filename unknown)
       at System.Reactive.ObserverBase`1[T].OnNext (T value)(filename unknown)
       at Intrinsic.Reactive.WeakObservable`1+WeakObserver[T].OnNext (T value)(filename unknown)
       at Intrinsic.Reactive.SafeObservable`1+SafeObserver`1[T,T2].OnNext (T2 value)(filename unknown)
       at System.Reactive.Observer`1[T].OnNext (T value)(filename unknown)
       at System.Reactive.Subjects.Subject`1[T].OnNext (T value)(filename unknown)
       at Intrinsic.Reactive.Subjects.SafeSubject`1[T].OnNext (T value)(filename unknown)
       at Intrinsic.Reactive.Subjects.WeakSubject`1[T].OnNext (T value)(filename unknown)
       at Intrinsic.Geography.GeoLocationProvider.OnLocationChanged (Intrinsic.Geography.GeoLocation value)(filename unknown)
       at Intrinsic.Geography.AggregateGeoLocationProvider.OnLocationChanged (Intrinsic.Geography.GeoLocation value)(filename unknown)
       at Intrinsic.Geography.AggregateGeoLocationProvider.AddProvider (Intrinsic.Geography.GeoLocationProvider provider)(filename unknown)
       at CriticalArc.Applications.Services.GeoLocationService.AddProvider (Intrinsic.Geography.GeoLocationProvider provider)(filename unknown)
       at CriticalArc.Applications.Services.LocationService+<CheckStateContinuouslyAsync>d__24.MoveNext ()(filename unknown)
Comment 32 Jahmai 2017-03-24 23:45:12 UTC
SM-G920F:

java.lang.Throwable: SIGILL
       at System.Security.Cryptography.SHA1Internal.AddLength (System.UInt64 length, System.Byte[] buffer, System.Int32 position)(filename unknown)
       at System.Security.Cryptography.SHA1Internal.ProcessFinalBlock (System.Byte[] inputBuffer, System.Int32 inputOffset, System.Int32 inputCount)(filename unknown)
       at System.Security.Cryptography.SHA1Internal.HashFinal ()(filename unknown)
       at System.Security.Cryptography.SHA1CryptoServiceProvider.HashFinal ()(filename unknown)
       at System.Security.Cryptography.HashAlgorithm.TransformFinalBlock (System.Byte[] inputBuffer, System.Int32 inputOffset, System.Int32 inputCount)(filename unknown)
       at System.Security.Cryptography.HMAC.HashFinal ()(filename unknown)
       at System.Security.Cryptography.HashAlgorithm.ComputeHash (System.Byte[] buffer, System.Int32 offset, System.Int32 count)(filename unknown)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramSha1HashAlgorithm.CalculateHmacCore (System.Byte[] key, System.Byte[] input, System.Int32 offset, System.Int32 count)(filename unknown)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramHashAlgorithm.CalculateHmac (System.Byte[] key, System.Byte[] input)(filename unknown)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramAlgorithmSuite.Hi (System.Byte[] str, System.Byte[] salt, System.Int32 iterationCount)(filename unknown)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramAlgorithmSuite.CalculateSaltedPassword (System.String password, System.String salt, System.Int32 iterationCount)(filename unknown)
       at Intrinsic.Messaging.Protocols.Core.Sasl.Scram.XScramCredentials+XScramResponder.ProcessChallengeAsyncCore (Intrinsic.Messaging.Protocols.Core.Sasl.XSaslChallenge challenge, Intrinsic.Threading.Tasks.AsyncOptions asyncOptions)(filename unknown)
       at Intrinsic.Messaging.Protocols.Core.Sasl.XSaslResponder.ProcessChallengeAsync (Intrinsic.Messaging.Protocols.Core.Sasl.XSaslChallenge challenge, Intrinsic.Threading.Tasks.AsyncOptions asyncOptions)(filename unknown)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiateSaslAsync>d__15.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiatePhase2Async>d__14.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Protocols.Scar.XScarInitiator+<NegotiateAsyncCore>d__11.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Streams.XInitiatorStream+<NegotiateProtocolsAsync>d__28.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Streams.XInitiatorStream+<OpenAsyncCore>d__31.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Streams.IO.XIOInitiatorStream+<OpenAsyncCore>d__20.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Connectors.XTcpConnector+XRedirectableStream+<ExecuteWithRedirectAsync>d__16.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Connectors.XFailoverConnector+XFailoverStream+<OpenAsyncCore>d__16.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Streams.XStream+<OpenAsync>d__35.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Client.XClient+OpenOperation+<ExecuteAsyncCore>d__8.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Client.XClient+XClientOperation+<ExecuteAsync>d__23.MoveNext ()(filename unknown)
       at Intrinsic.Messaging.Client.XClient+<ConnectAsyncCore>d__58.MoveNext ()(filename unknown)
Comment 33 Jahmai 2017-03-26 23:29:02 UTC
I know this isn't a SIGILL, but this is one of the other random crashes we get on samsung devices, where arguments and members are magically null.

SM-G930F:

Fatal Exception: java.lang.Throwable: Object reference not set to an instance of an object
       at System.Runtime.Remoting.Messaging.AsyncResult.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem ()(filename unknown)
       at System.Threading.ThreadPoolWorkQueue.Dispatch ()(filename unknown)
       at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback ()(filename unknown)
Comment 34 Jahmai 2017-03-27 11:23:19 UTC
SM-G930F:

Fatal Exception: java.lang.Throwable: Object reference not set to an instance of an object
at System.Threading.ExecutionContext.OnAsyncLocalContextChanged (System.Threading.ExecutionContext previous, System.Threading.ExecutionContext current)(filename unknown)
at System.Threading.ExecutionContextSwitcher.Undo ()(filename unknown)

I know these aren't SIGILL, but I feel that they are related.
Comment 35 Jahmai 2017-03-28 05:42:22 UTC
This is a good one, SM-G920I:

Fatal Exception: java.lang.Throwable: SIGILL


No stack :(

@Bernhard Any comment? :|
Comment 36 Bernhard Urban 2017-03-28 17:21:55 UTC
Hey Jahmai,

thanks for all the crash reports, that's really bad news :-(

As I already said in comment #8, there is not much we can do about it:  I can't reproduce it with your app on my device and you seem to be the only person affected by this bug. Sorry :-(




@Geir Ludvigsen (comment #23): you should update your Xamarin.Android version.  Your version of Xamarin.Android (7db2aac37) doesn't contain the fix for https://bugzilla.xamarin.com/show_bug.cgi?id=39859
Comment 37 Jahmai 2017-03-29 07:43:17 UTC
@Bernhard I'm skeptical that I'm the only person experiencing the bug, perhaps one of the few reporting though :)

Look I understand the bind. I'll go and buy one of the problem devices and create a repro project.
Comment 38 Dominic N [MSFT] 2017-07-03 14:49:36 UTC
Thank you for taking the time on this, Jahmai. As we are currently unable to reproduce on our end (and we're waiting for you to hopefully create a repro project we can work with), for bookkeeping purposes, we'll be setting this bug to NEEDINFO.

Please let us know if you were able to create a consistent reproduction case so we can dig in further.
Comment 39 Jahmai 2017-07-07 06:11:36 UTC
Yeah, I can't. We're still getting the seemingly impossible crashes:

Fatal Exception: java.lang.Throwable: Object reference not set to an instance of an object
       at System.Threading.Tasks.TaskExceptionHolder.AddFaultException (System.Object exceptionObject)(filename unknown)
       at System.Threading.Tasks.TaskExceptionHolder.Add (System.Object exceptionObject, System.Boolean representsCancellation)(filename unknown)
       at System.Threading.Tasks.Task.AddException (System.Object exceptionObject, System.Boolean representsCancellation)(filename unknown)
       at System.Threading.Tasks.Task.AddException (System.Object exceptionObject)(filename unknown)
       at System.Threading.Tasks.Task`1[TResult].TrySetException (System.Object exceptionObject)(filename unknown)
       at System.Threading.Tasks.TaskCompletionSource`1[TResult].TrySetException (System.Exception exception)(filename unknown)
       at Intrinsic.Threading.Tasks.TaskCompletionSource.TrySetException (System.Exception exception)(filename unknown)
       at Intrinsic.Net.Sockets.SocketExtensions.Complete (System.Net.Sockets.SocketAsyncEventArgs e)(filename unknown)
       at Intrinsic.Net.Sockets.SocketExtensions.OnCompleted (System.Object sender, System.Net.Sockets.SocketAsyncEventArgs e)(filename unknown)
       at System.Net.Sockets.SocketAsyncEventArgs.OnCompleted (System.Net.Sockets.SocketAsyncEventArgs e)(filename unknown)
       at System.Net.Sockets.SocketAsyncEventArgs.Complete ()(filename unknown)
       at System.Net.Sockets.Socket+<>c.<.cctor>b__306_14 (System.IAsyncResult ares)(filename unknown)
       at System.Net.Sockets.SocketAsyncResult+<>c__DisplayClass27_0.<Complete>b__0 (System.Object _)(filename unknown)
       at System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem ()(filename unknown)
       at System.Threading.ThreadPoolWorkQueue.Dispatch ()(filename unknown)
       at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback ()(filename unknown)

But there is just no reliable reproduction for it.
Comment 40 Geir Ludvigsen 2017-11-03 08:24:39 UTC
Hi, I think we are experiencing the same problem with our customers running Android 4.4.2 on Samsung GT-P5220.

Xamarin: 8.0.0.33; git-rev-head:7a6a056e8; git-branch:HEAD

It's a real show stopper for our customers with this combo of Android/device. 

Not reproducable on 4.2.2 and not on 5.x or 7.x.

But fairly simple to repro on customer device which I currently am borrowing with 4.4.2 and GT-P5220. 

It's not happening at every attempt. I have to run the code a few times before it crashes, in my case by pressing a button. Normally after 5-15 attempts it crashes.

Another thing: This bug isn't caught by our AndroidEnvironment.UnhandledExceptionRaiser like other unhandled exceptions are. I've tried to catch the error at some of the locations it happens, but it's not caught. So I'm actually not able to log any values out of the methods where it fails.

In general it seems related to code running on other than UI thread. In our case it's related to using Reactive component.

The key problem is NullreferenceException happening in all kinds of places. Some samples follow here.

[ERROR] FATAL UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object
at Mono.Globalization.Unicode.SimpleCollator.CompareInternal (System.String s1, System.Int32 idx1, System.Int32 len1, System.String s2, System.Int32 idx2, System.Int32 len2, System.Boolean& targetConsumed, System.Boolean& sourceConsumed, System.Boolean skipHeadingExtenders, System.Boolean immediateBreakup, Mono.Globalization.Unicode.SimpleCollator+Context& ctx) [0x004ee] in <7037befaabaf44b188ea689b44e86c66>:0 
at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () <0x699e5da8 + 0x00033> in <7037befaabaf44b188ea689b44e86c66>:0 


System.InvalidOperationException: Comparer threw an exception. ---> System.NullReferenceException: Object reference not set to an instance of an object
at Mono.Globalization.Unicode.SimpleCollator.Category (Int32 cp) <0x67dc3b70 + 0x0003c> in <filename unknown>:0 
at Mono.Globalization.Unicode.SimpleCollator.CompareInternal (System.String s1, Int32 idx1, Int32 len1, System.String s2, Int32 idx2, Int32 len2, System.Boolean& targetConsumed, System.Boolean& sourceConsumed, Boolean skipHeadingExtenders, Boolean immediateBreakup, Mono.Globalization.Unicode.Context& ctx) <0x67ff8180 + 0x0064f> in <filename unknown>:0 
at Mono.Globalization.Unicode.SimpleCollator.Compare (System.String s1, Int32 idx1, Int32 len1, System.String s2, Int32 idx2, Int32 len2, CompareOptions options) <0x67ff7e58 + 0x00203> in <filename unknown>:0 
at System.Globalization.CompareInfo.internal_compare_managed (System.String str1, Int32 offset1, Int32 length1, System.String str2, Int32 offset2, Int32 length2, CompareOptions options) <0x67ff7d98 + 0x00083> in <filename unknown>:0 
at System.Globalization.CompareInfo.internal_compare_switch (System.String str1, Int32 offset1, Int32 length1, System.String str2, Int32 offset2, Int32 length2, CompareOptions options) <0x67ff7c78 + 0x0007b> in <filename unknown>:0 
at System.Globalization.CompareInfo.Compare (System.String string1, System.String string2, CompareOptions options) <0x67ff7a98 + 0x000d3> in <filename unknown>:0 
at System.String.CompareTo (System.String strB) <0x68017568 + 0x00053> in <filename unknown>:0 
at Holte.AnPocketDA.TableInfoTypeNameComparer.Compare (System.Object obj1, System.Object obj2) <0x68017488 + 0x0008f> in <filename unknown>:0 
at System.Array.DoBinarySearch (System.Array array, Int32 index, Int32 length, System.Object value, IComparer comparer) <0x68017268 + 0x00123> in <filename unknown>:0 
--- End of inner exception stack trace ---
at Holte.UI.Widgets.AdvListWidget.AdvListRowFactories.ProjectRowHelper+<>c__DisplayClass12_2.<SetAdvListData>b__10 (System.Exception exception) <0x68694ea0 + 0x00034> in <filename unknown>:0 
at System.Reactive.AnonymousSafeObserver`1[T].OnError (System.Exception error) <0x68694dc8 + 0x0006f> in <filename unknown>:0 
at System.Reactive.Linq.ObservableImpl.Finally`1+_[TSource].OnError (System.Exception error) <0x68694d10 + 0x00047> in <filename unknown>:0 
at System.Reactive.Concurrency.ObserveOn`1+ObserveOnSink[TSource].OnErrorPosted (System.Object error) <0x68694c10 + 0x0006f> in <filename unknown>:0 
at Android.App.SyncContext+<Post>c__AnonStorey0.<>m__0 () <0x6bd3fa78 + 0x00027> in <filename unknown>:0 
at Java.Lang.Thread+RunnableImplementor.Run () <0x689e0c70 + 0x0003f> in <filename unknown>:0 
at Java.Lang.IRunnableInvoker.n_Run (IntPtr jnienv, IntPtr native__this) <0x689e09a8 + 0x0003f> in <filename unknown>:0 
at (wrapper dynamic-method) System.Object:3ab4a248-e631-47e8-8cde-5b3787c06c1f (intptr,intptr)

System.NullReferenceException: Object reference not set to an instance of an object
at System.DateTimeParse.DetermineTimeZoneAdjustments (System.DateTimeResult& result, System.Globalization.DateTimeStyles styles, System.Boolean bTimeOnly) [0x00027] in <8108a5a9f92c4956850e8001ecbf7c81>:0 
at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () <0x692b69f8 + 0x00033> in <8108a5a9f92c4956850e8001ecbf7c81>:0 


{NullReferenceException: Object reference not set to an instance of an object at System.Data.DataTable.AcceptChanges () <0x6801f8e0 + 0x00118> in <filename unknown>:0 at Mono.Data.Sqlite.SqliteDataReader.GetSchemaTable (Boolean wantUniqueInfo, Boolean wantDefaultValue) <0x68010028 + 0x02397> in <filename unknown>:0 at Mono.Data.Sqlite.SqliteDataReader.GetSchemaTable () <0x6800fd50 + 0x0001b> in <filename unknown>:0 at Holte.AnPocketDA.Utils.DbDataReaderWrapper..ctor (Mono.Data.Sqlite.SqliteDataReader reader) <0x6800f980 + 0x0006f> in <filename unknown>:0 at Holte.AnPocketDA.Utils.UtilityDS.Execute (Mono.Data.Sqlite.SqliteCommand cmd, ExecuteMethod method, System.Object& returnObject, System.Int32& returnValue) <0x67ffb408 + 0x0026f> in <filename unknown>:0 at Holte.AnPocketDA.Utils.UtilityDS.ExecuteReader (Mono.Data.Sqlite.SqliteCommand cmd) <0x6800f7d8 + 0x0003f> in <filename unknown>:0 at Holte.AnPocketDA.GenericDA.GetStatic (Holte.AnPocketDA.FilterEntityCol filters, Holte.AnPocketDA.SortEntityCol sorts, Holte.AnPocketDA.GenericDA caller, IFill fillTarget) <0x68004ea8 + 0x001db> in <filename unknown>:0 at Holte.AnPocketDA.GenericDA.GetToOverride (IFill fillTarget, Holte.AnPocketDA.FilterEntityCol filters, Holte.AnPocketDA.SortEntityCol sorts) <0x68004c50 + 0x0012b> in <filename unknown>:0 --- End of stack trace from previous location where exception was thrown --- at Holte.UI.Screens.Contacts.ActivityContacts+<>c__DisplayClass104_0.<contactsSearchSubscribe>b__5 (System.Exception exception) <0x6c1797b0 + 0x00190> in <filename unknown>:0 at System.Reactive.AnonymousSafeObserver`1[T].OnError (System.Exception error) <0x6c179218 + 0x0006f> in <filename unknown>:0 at System.Reactive.Concurrency.ObserveOn`1+ObserveOnSink[TSource].OnErrorPosted (System.Object error) <0x6c179320 + 0x0006f> in <filename unknown>:0 at Android.App.SyncContext+<Post>c__AnonStorey0.<>m__0 () <0x69fe3fc0 + 0x00027> in <filename unknown>:0 at Java.Lang.Thread+RunnableImplementor.Run () <0x69fe3d70 + 0x0003f> in <filename unknown>:0 at Java.Lang.IRunnableInvoker.n_Run (IntPtr jnienv, IntPtr native__this) <0x69fe3ab0 + 0x0003f> in <filename unknown>:0 at (wrapper dynamic-method) System.Object:af27365a-890f-4957-b334-a32e049a29e1 (intptr,intptr)}
Comment 41 Bernhard Urban 2017-11-03 13:43:55 UTC
Hello Geir,

this looks like a different issue.  Can you open a new bug with the same description and (ideally) with some source code to reproduce?

Thank you!

Note You need to log in before you can comment on or make changes to this bug.